# Asterisk Project : Asterisk 12 Function_LOCAL_PEEK

Added by wikibot , edited by wikibot on Aug 29, 2013

# LOCAL_PEEK()

### Synopsis

Retrieve variables hidden by the local gosub stack frame.

### Description

Read a variable varname hidden by n levels of gosub stack frames. Note that ${LOCAL_PEEK(0,foo)} is the same as `foo`, since the value of n peeks under 0 levels of stack frames; in other words, 0 is the current level. If n exceeds the available number of stack frames, then an empty string is returned.

### Syntax

    LOCAL_PEEK(n,varname)

##### Arguments

- `n`
- `varname`

### See Also

- Asterisk 12 Application_Gosub
- Asterisk 12 Application_GosubIf
- Asterisk 12 Application_Return

### Import Version

This documentation was imported from Asterisk Version Unknown